Package fr.gouv.vitam.common.server.application.configuration

# Interface VitamApplicationConfigurationInterface

All Known Subinterfaces:
  `DbConfiguration`, `VitamApplicationConfiguration`

All Known Implementing Classes:
  `AccessExternalConfiguration`, `AccessInternalConfiguration`, `AdminManagementConfiguration`, `AntivirusConfiguration`, `BatchReportConfiguration`, `CollectExternalConfiguration`, `CollectInternalConfiguration`, `DbConfigurationImpl`, `DefaultVitamApplicationConfiguration`, `DefaultVitamIHMApplicationConfiguration`, `IngestExternalConfiguration`, `IngestInternalConfiguration`, `InterceptorConfiguration`, `InternalSecurityConfiguration`, `LogbookConfiguration`, `MetaDataConfiguration`, `OfferConfiguration`, `SchedulerConfiguration`, `ServerConfiguration`, `StorageConfiguration`, `StorageConfiguration`, `WebApplicationConfig`, `WebApplicationConfig`, `WorkerConfiguration`

public interface VitamApplicationConfigurationInterface
Common interface for all application configuration.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default String`
  `getBaseUri()`
  `default String`
  `getBaseUrl()`
  `String`
  `getJettyConfig()`
  getter jettyConfig
  `boolean`
  `isAuthentication()`
  getter authentication
  `boolean`
  `isTenantFilter()`
  getter tenantFilter
  `VitamApplicationConfigurationInterface`
  `setAuthentication(boolean authentication)`
  `default VitamApplicationConfigurationInterface`
  `setBaseUri(String baseUri)`
  `default VitamApplicationConfigurationInterface`
  `setBaseUrl(String baseUrl)`
  `VitamApplicationConfigurationInterface`
  `setJettyConfig(String jettyConfig)`
  setter jettyConfig
  `VitamApplicationConfigurationInterface`
  `setTenantFilter(boolean tenantFilter)`

- ## Method Details

  - ### getJettyConfig

    String getJettyConfig()
    getter jettyConfig
    Returns:
      the Jetty config filename

  - ### setJettyConfig

    VitamApplicationConfigurationInterface setJettyConfig(String jettyConfig)
    setter jettyConfig
    Parameters:
      `jettyConfig` - the jetty config to set
    Returns:
      this

  - ### isAuthentication

    boolean isAuthentication()
    getter authentication
    Returns:
      true if authentication is on for the application, false if not

  - ### setAuthentication

    VitamApplicationConfigurationInterface setAuthentication(boolean authentication)
    Parameters:
      `authentication` - the authentication to set
    Returns:
      this

  - ### isTenantFilter

    boolean isTenantFilter()
    getter tenantFilter
    Returns:
      true if tenant Filtering is on for the application, false if not

  - ### setTenantFilter

    VitamApplicationConfigurationInterface setTenantFilter(boolean tenantFilter)

  - ### getBaseUrl

    default String getBaseUrl()

  - ### getBaseUri

    default String getBaseUri()

  - ### setBaseUrl

    default VitamApplicationConfigurationInterface setBaseUrl(String baseUrl)

  - ### setBaseUri

    default VitamApplicationConfigurationInterface setBaseUri(String baseUri)